VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Privilege::PackageInfo Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Privilege::PackageInfo:

## Avaliable Methods
public method | set_privileges ()
public method | set_services ()
public method | get_services ()
public method | get_privileges ()
public method | new ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Privilege::PackageInfo` class contains the privilege information of a package element.

For an explanation of privilege information contained within package elements, see class Com::Vmware::Vapi::Metadata::Privilege::Package .

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Privilege::PackageInfo::get_privileges | ( |  | ) |

Gets the value of 'privileges' property.

Return values

  privileges | - The current value of the field. List of default privileges to be used for all the operations present in this package. If a particular operation element has no explicit privileges defined in the privilege definition file, these privileges are used for enforcing authorization. List#

Code:
click to view
# Number of lines of code in get_privileges: 4
sub get_privileges {
my ($self, %args) = @_;
return $self->{'privileges'};
}

public method Com::Vmware::Vapi::Metadata::Privilege::PackageInfo::get_services | ( |  | ) |

Gets the value of 'services' property.

Return values

  services | - The current value of the field. Information about all service elements contained in this package element that contain privilege information. The key in the map is the identifier of the service element and the value in the map is the privilege information for the service element. For an explanation of privilege information containment within service elements, see class Com::Vmware::Vapi::Metadata::Privilege::Service . Map#

Code:
click to view
# Number of lines of code in get_services: 4
sub get_services {
my ($self, %args) = @_;
return $self->{'services'};
}

public method Com::Vmware::Vapi::Metadata::Privilege::PackageInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Privilege::PackageInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 18
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{privileges} = $args{'privileges'};
$self->{services} = $args{'services'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::Privilege::PackageInfo');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.privilege.package_info');
$self->set_binding_field('key' => 'privileges', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StringType()));
$self->set_binding_field('key' => 'services', 'value' => new Com::Vmware::Vapi::Bindings::Type::MapType('binding_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StructType('name' => 'map-entry', 'fields' => {'key' => new Com::Vmware::Vapi::Bindings::Type::StringType(), 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Privilege', 'type_name' => 'ServiceInfo')}))));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::Privilege::PackageInfo::set_privileges | ( |  | ) |

Sets the given value for 'privileges' property.

Parameters

  privileges | - New value for the field. List of default privileges to be used for all the operations present in this package. If a particular operation element has no explicit privileges defined in the privilege definition file, these privileges are used for enforcing authorization.

Code:
click to view
# Number of lines of code in set_privileges: 5
sub set_privileges {
my ($self, %args) = @_;
$self->{'privileges'} = $args{'privileges'};
return;
}

public method Com::Vmware::Vapi::Metadata::Privilege::PackageInfo::set_services | ( |  | ) |

Sets the given value for 'services' property.

Parameters

  services | - New value for the field. Information about all service elements contained in this package element that contain privilege information. The key in the map is the identifier of the service element and the value in the map is the privilege information for the service element. For an explanation of privilege information containment within service elements, see class Com::Vmware::Vapi::Metadata::Privilege::Service .

Code:
click to view
# Number of lines of code in set_services: 5
sub set_services {
my ($self, %args) = @_;
$self->{'services'} = $args{'services'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Privilege/PackageInfo.pm